# Class VRSettings

java.lang.Object
com.codename1.vr.VRSettings

public final class VRSettings extends Object
Configuration for a `VRView`. Fluent builder.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VRSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VRSettings`
  `fovYDegrees(float fov)`
  The vertical field of view per eye in degrees.
  `float`
  `getFar()`
  The far clip plane distance.
  `float`
  `getFovYDegrees()`
  The vertical field of view per eye in degrees.
  `float`
  `getIpdMeters()`
  The interpupillary distance in meters.
  `float`
  `getNear()`
  The near clip plane distance.
  `VRSettings`
  `ipdMeters(float ipd)`
  The interpupillary distance - the world-space separation between the two eyes - in meters.
  `boolean`
  `isStereo()`
  True when the view renders side-by-side stereo.
  `VRSettings`
  `nearFar(float near, float far)`
  The near and far clip plane distances.
  `VRSettings`
  `stereo(boolean stereo)`
  Whether the view renders side-by-side stereo (true, the default) or a single centered viewpoint.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VRSettings

    public VRSettings()

- ## Method Details

  - ### ipdMeters

    public VRSettings ipdMeters(float ipd)
    The interpupillary distance - the world-space separation between the two eyes - in meters. Default `0.064` (the human average).

  - ### fovYDegrees

    public VRSettings fovYDegrees(float fov)
    The vertical field of view per eye in degrees. Default `90`.

  - ### nearFar

    public VRSettings nearFar(float near, float far)
    The near and far clip plane distances. Defaults `0.1` and `100`.

  - ### stereo

    public VRSettings stereo(boolean stereo)
    Whether the view renders side-by-side stereo (true, the default) or a single centered viewpoint.

  - ### getIpdMeters

    public float getIpdMeters()
    The interpupillary distance in meters.

  - ### getFovYDegrees

    public float getFovYDegrees()
    The vertical field of view per eye in degrees.

  - ### getNear

    public float getNear()
    The near clip plane distance.

  - ### getFar

    public float getFar()
    The far clip plane distance.

  - ### isStereo

    public boolean isStereo()
    True when the view renders side-by-side stereo.